org.apache.cassandra.db

## Class BufferDecoratedKey

- java.lang.Object
- - org.apache.cassandra.db.DecoratedKey
  - - org.apache.cassandra.db.BufferDecoratedKey

All Implemented Interfaces:
  java.lang.Comparable<RowPosition>, RowPosition, RingPosition<RowPosition>, IFilter.FilterKey

Direct Known Subclasses:
  CachedHashDecoratedKey, PreHashedDecoratedKey

    public class BufferDecoratedKey
    extends DecoratedKey

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.db.RowPosition

`RowPosition.ForKey, RowPosition.Kind, RowPosition.RowPositionSerializer`

### Field Summary

### Fields inherited from class org.apache.cassandra.db.DecoratedKey

`comparator`

### Fields inherited from interface org.apache.cassandra.db.RowPosition

`serializer`

### Constructor Summary

Constructors
Constructor and Description
`BufferDecoratedKey(Token token, java.nio.ByteBuffer key)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.nio.ByteBuffer` `getKey()`

### Methods inherited from class org.apache.cassandra.db.DecoratedKey

`compareTo, compareTo, equals, filterHash, getPartitioner, getToken, hashCode, isMinimum, kind, minValue, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BufferDecoratedKey

    public BufferDecoratedKey(Token token,
                              java.nio.ByteBuffer key)

### Method Detail

#### getKey

    public java.nio.ByteBuffer getKey()

Specified by:
  `getKey` in class `DecoratedKey`